import { Ins } from "../../Ins";
import { BaseEnemy, enemyType } from "./BaseEnemy";

export class Red extends BaseEnemy{
    constructor(){
        super();
    }

    addToViewPort(){
        var that = this;
        super.addToViewPort();
        that.setBody("939be661-83f8-4710-b176-54046742e128");
        that.hitW = 74;
        that.hitH = 48;
        that.health = 10;
        that.speedVector.y = 1;
        that.speedY = 3;
        that.y = -80;
        that.x = Math.floor(Math.random()*Ins.stageW*2/4+Ins.stageW/4);
        that.enemyType = enemyType.normal;
    }

    updateSelf(){
        super.updateSelf();
    }
}